<?xml version="1.0" encoding="utf-8"?>
<ScrollView
  xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:tools="http://schemas.android.com/tools"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  >

  <LinearLayout
    android:id="@+id/linear_layout_identify"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/CFFFFFF"
    android:orientation="vertical">

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="50dp"
      android:orientation="horizontal">

      <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:lineSpacingExtra="8sp"
        android:text="@string/sign_up_mobile_identify_pop_up"
        android:textColor="@color/C000000"
        android:textSize="21sp"
        />

    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="32dp"
      android:layout_marginRight="29dp"
      android:orientation="horizontal"
      android:weightSum="7">

      <kr.co.zumo.app.lifeplus.view.custom.ClearEditText
        android:id="@+id/edit_text_name"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="3"
        android:background="@null"
        android:hint="@string/phone_identify_name_hint"
        android:inputType="text"
        android:lineSpacingExtra="5sp"
        android:maxLength="30"
        android:textColor="@color/C000000"
        android:textColorHint="@color/CC5C5C5"
        android:textSize="14sp"
        />

      <RadioGroup
        android:id="@+id/radio_group_nationality"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_weight="4"
        android:gravity="right"
        android:orientation="horizontal">

        <RadioButton
          android:id="@+id/radio_button_local"
          android:layout_width="wrap_content"
          android:layout_height="40dp"
          android:background="@null"
          android:button="@null"
          android:checked="true"
          android:drawableLeft="@drawable/radio_selector"
          android:drawablePadding="6dp"
          android:gravity="center"
          android:padding="8dp"
          android:text="@string/phone_identify_local"
          android:textColor="@color/radio_color_selector"/>

        <RadioButton
          android:id="@+id/radio_button_foreign"
          android:layout_width="wrap_content"
          android:layout_height="40dp"
          android:layout_marginStart="-10dp"
          android:background="@null"
          android:button="@null"
          android:checked="false"
          android:drawableLeft="@drawable/radio_selector"
          android:drawablePadding="5dp"
          android:gravity="center"
          android:padding="8dp"
          android:text="@string/phone_identify_foreign"
          android:textColor="@color/radio_color_selector"/>
      </RadioGroup>

    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:orientation="vertical">

      <View
        android:id="@+id/edit_text_name_bar"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/CE5E5E5"/>

    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="7dp"
      android:layout_marginRight="24dp"
      android:layout_marginBottom="7dp">

      <TextView
        android:id="@+id/text_view_name_validation"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:lineSpacingExtra="3sp"
        android:textColor="@color/CF12815"
        android:textSize="10sp"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="20dp"
      android:layout_marginRight="29dp"
      android:orientation="horizontal"
      android:weightSum="4">

      <kr.co.zumo.app.lifeplus.view.custom.ClearEditText
        android:id="@+id/edit_text_birth_date"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="2"
        android:background="@null"
        android:hint="@string/phone_identify_birth_hint"
        android:inputType="number"
        android:lineSpacingExtra="5sp"
        android:maxLength="8"
        android:textColor="@color/C000000"
        android:textColorHint="@color/CC5C5C5"
        android:textSize="14sp"
        />

      <RadioGroup
        android:id="@+id/radio_group_gender"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_gravity="right"
        android:layout_weight="2"
        android:gravity="right"
        android:orientation="horizontal">

        <RadioButton
          android:id="@+id/radio_button_male"
          android:layout_width="wrap_content"
          android:layout_height="40dp"
          android:background="@null"
          android:button="@null"
          android:checked="true"
          android:drawableLeft="@drawable/radio_selector"
          android:drawablePadding="5dp"
          android:gravity="center"
          android:padding="8dp"
          android:text="@string/phone_identify_male"
          android:textColor="@color/radio_color_selector"/>

        <RadioButton
          android:id="@+id/radio_button_female"
          android:layout_width="wrap_content"
          android:layout_height="40dp"
          android:layout_marginStart="-10dp"
          android:background="@null"
          android:button="@null"
          android:checked="false"
          android:drawableLeft="@drawable/radio_selector"
          android:drawablePadding="5dp"
          android:gravity="center"
          android:padding="8dp"
          android:text="@string/phone_identify_female"
          android:textColor="@color/radio_color_selector"/>
      </RadioGroup>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"

      android:orientation="vertical">

      <View
        android:id="@+id/edit_text_birth_date_bar"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/CE5E5E5"/>

    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="7dp"
      android:layout_marginRight="24dp"
      android:layout_marginBottom="7dp">

      <TextView
        android:id="@+id/text_view_birth_validation"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:lineSpacingExtra="3sp"
        android:textColor="@color/CF12815"
        android:textSize="10sp"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="53dp"
      android:layout_marginRight="24dp"
      android:orientation="horizontal"
      android:weightSum="10">

      <CheckBox
        android:id="@+id/checkbox_all_agree"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="3pt"
        android:layout_weight="9"
        android:background="@null"
        android:button="@null"
        android:drawableLeft="@drawable/custom_check_box"
        android:drawablePadding="8dp"
        android:lineSpacingExtra="5sp"
        android:text="@string/phone_identify_all_agree"
        android:textColor="@color/C000000"
        android:textIsSelectable="false"
        android:textSize="14sp"
        />

      <LinearLayout
        android:id="@+id/button_all_agree_detail"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:gravity="center"
        android:orientation="horizontal"
        >

        <ImageView
          android:id="@+id/image_view_arrow"
          android:layout_width="11dp"
          android:layout_height="11dp"
          android:layout_gravity="center"
          android:src="@drawable/icon_openarrow"/>
      </LinearLayout>
    </LinearLayout>


    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="25dp"
      android:layout_marginRight="25dp"
      android:orientation="vertical">

      <View
        android:id="@+id/checkbox_all_agree_bar"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_centerInParent="true"
        android:layout_marginTop="17dp"
        android:layout_marginBottom="17dp"
        android:background="@color/CEBEBEB"/>

    </LinearLayout>

    <LinearLayout
      android:id="@+id/layout_agree_list"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:orientation="vertical"
      android:visibility="gone"
      >

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:layout_marginBottom="14dp"
        android:orientation="horizontal"
        android:weightSum="10">

        <CheckBox
          android:id="@+id/checkbox_agree1"
          android:layout_width="0dp"
          android:layout_height="wrap_content"
          android:layout_weight="9"
          android:background="@null"
          android:button="@null"
          android:drawableLeft="@drawable/custom_check_box"
          android:drawablePadding="8dp"
          android:lineSpacingExtra="5sp"
          android:text="@string/phone_identify_agree1"
          android:textColor="@color/C000000"
          android:textSize="14sp"
          />

        <ImageView
          android:id="@+id/button_identify_agree1"
          android:layout_width="0dp"
          android:layout_height="17dp"
          android:layout_gravity="center"
          android:layout_weight="1"
          android:src="@drawable/icon_detail_arrow"/>
      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:layout_marginBottom="14dp"
        android:orientation="horizontal"
        android:weightSum="10">

        <CheckBox
          android:id="@+id/checkbox_agree2"
          android:layout_width="0dp"
          android:layout_height="wrap_content"
          android:layout_weight="9"
          android:background="@null"
          android:button="@null"
          android:drawableLeft="@drawable/custom_check_box"
          android:drawablePadding="8dp"
          android:lineSpacingExtra="5sp"
          android:text="@string/phone_identify_agree2"
          android:textColor="@color/C000000"
          android:textSize="14sp"
          />

        <ImageView
          android:id="@+id/button_identify_agree2"
          android:layout_width="0dp"
          android:layout_height="17dp"
          android:layout_gravity="center"
          android:layout_weight="1"
          android:src="@drawable/icon_detail_arrow"/>
      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:layout_marginBottom="14dp"
        android:orientation="horizontal"
        android:weightSum="10">

        <CheckBox
          android:id="@+id/checkbox_agree3"
          android:layout_width="0dp"
          android:layout_height="wrap_content"
          android:layout_weight="9"
          android:background="@null"
          android:button="@null"
          android:drawableLeft="@drawable/custom_check_box"
          android:drawablePadding="8dp"
          android:lineSpacingExtra="5sp"
          android:text="@string/phone_identify_agree3"
          android:textColor="@color/C000000"
          android:textSize="14sp"
          />

        <ImageView
          android:id="@+id/button_identify_agree3"
          android:layout_width="0dp"
          android:layout_height="17dp"
          android:layout_gravity="center"
          android:layout_weight="1"
          android:src="@drawable/icon_detail_arrow"/>
      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:layout_marginBottom="14dp"
        android:orientation="horizontal"
        android:weightSum="10">

        <CheckBox
          android:id="@+id/checkbox_agree4"
          android:layout_width="0dp"
          android:layout_height="wrap_content"
          android:layout_weight="9"
          android:background="@null"
          android:button="@null"
          android:drawableLeft="@drawable/custom_check_box"
          android:drawablePadding="8dp"
          android:lineSpacingExtra="5sp"
          android:text="@string/phone_identify_agree4"
          android:textColor="@color/C000000"
          android:textSize="14sp"
          />

        <ImageView
          android:id="@+id/button_identify_agree4"
          android:layout_width="0dp"
          android:layout_height="17dp"
          android:layout_gravity="center"
          android:layout_weight="1"
          android:src="@drawable/icon_detail_arrow"/>
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="28dp"
      android:layout_marginRight="24dp"
      android:orientation="horizontal"
      android:weightSum="4">


      <kr.co.zumo.app.lifeplus.view.custom.CustomSpinner
        android:id="@+id/spinner_mobile_company"
        android:layout_width="0dp"
        android:layout_height="45dp"
        android:layout_weight="2"
        android:entries="@array/mobile_companies"
        android:focusable="true"
        android:lineSpacingExtra="5sp"
        android:textColor="@color/C000000"
        android:textSize="14sp"/>

      <kr.co.zumo.app.lifeplus.view.custom.CustomSpinner
        android:id="@+id/spinner_first_phone_number"
        android:layout_width="0dp"
        android:layout_height="45dp"
        android:layout_weight="2"
        android:entries="@array/phone_numbers"
        android:focusable="true"
        android:lineSpacingExtra="5sp"
        android:textColor="@color/C000000"
        android:textSize="14sp"/>

    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:orientation="horizontal"
      android:weightSum="4">

      <View
        android:id="@+id/spinner_mobile_company_bar"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginRight="12dp"
        android:layout_weight="2"
        android:background="@color/CE5E5E5"/>

      <View
        android:id="@+id/spinner_first_phone_number_bar"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_weight="2"
        android:background="@color/CE5E5E5"/>

    </LinearLayout>

    <RelativeLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content">

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingStart="24dp"
        android:paddingTop="25dp"
        android:paddingEnd="24dp"
        >

        <LinearLayout
          android:layout_width="0dp"
          android:layout_height="wrap_content"
          android:layout_weight="1">

          <kr.co.zumo.app.lifeplus.view.custom.ClearEditText
            android:id="@+id/edit_text_phone_number"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:hint="@string/phone_identify_phone_hint"
            android:inputType="number"
            android:lineSpacingExtra="5sp"
            android:maxLength="8"
            android:paddingBottom="40dp"
            android:textColor="@color/C000000"
            android:textColorHint="@color/CC5C5C5"
            android:textSize="14sp"
            tools:text="12345678"
            />
        </LinearLayout>

        <LinearLayout
          android:layout_width="wrap_content"
          android:layout_height="wrap_content">

          <TextView
            android:id="@+id/button_identify_number_send"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingStart="12dp"
            android:text="@string/phone_identify_submit"
            android:textColor="@color/button_state_color"
            android:textSize="12sp"
            />
        </LinearLayout>

      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="56dp"
        android:layout_marginRight="24dp"
        android:orientation="vertical">

        <View
          android:id="@+id/edit_text_phone_number_bar"
          android:layout_width="match_parent"
          android:layout_height="1dp"
          android:background="@color/CE5E5E5"/>

      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="63dp"
        android:layout_marginRight="24dp">

        <TextView
          android:id="@+id/text_view_phone_number_validation"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="3sp"
          android:textColor="@color/CF12815"
          android:textSize="10sp"
          />
      </LinearLayout>
    </RelativeLayout>
    <!--       -->

    <RelativeLayout
      android:id="@+id/layout_input_auth_number"
      android:layout_width="match_parent"
      android:layout_height="wrap_content">

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingStart="24dp"
        android:paddingTop="25dp"
        android:paddingEnd="24dp">

        <kr.co.zumo.app.lifeplus.view.custom.ClearEditText
          android:id="@+id/edit_text_authorized_number"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_weight="1"
          android:background="@null"
          android:hint="@string/phone_identify_six_characters"
          android:inputType="number"
          android:lineSpacingExtra="5sp"
          android:maxLength="6"
          android:paddingBottom="40dp"
          android:textColor="@color/C000000"
          android:textColorHint="@color/CC5C5C5"
          android:textSize="14sp"
          tools:text="234879"/>

        <LinearLayout
          android:id="@+id/phone_identify_layout"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:orientation="horizontal"
          >

          <ImageView
            android:layout_width="13dp"
            android:layout_height="13dp"
            android:layout_gravity="center"
            android:layout_marginLeft="8.8dp"
            android:layout_marginRight="5.3dp"
            android:src="@drawable/icon_input_clock"
            />

          <TextView
            android:id="@+id/text_view_phone_identify_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="12dp"
            android:lineSpacingExtra="5sp"
            android:textColor="@color/C999999"
            android:textSize="14sp"
            tools:text="2:55"
            />

          <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center">

            <TextView
              android:id="@+id/button_phone_identify_time_expansion"
              android:layout_width="wrap_content"
              android:layout_height="wrap_content"
              android:lineSpacingExtra="3sp"
              android:text="@string/phone_identify_time_delay"
              android:textColor="@color/button_state_color"
              android:textSize="12sp"/>
          </LinearLayout>
        </LinearLayout>
      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="56dp"
        android:layout_marginRight="24dp"
        android:orientation="vertical">

        <View
          android:id="@+id/edit_text_authorized_number_bar"
          android:layout_width="match_parent"
          android:layout_height="1dp"
          android:background="@color/CE5E5E5"/>

      </LinearLayout>

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="63dp"
        android:layout_marginRight="24dp">

        <TextView
          android:id="@+id/text_authorized_number_validation"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="3sp"
          android:textColor="@color/CF12815"
          android:textSize="10sp"
          />
      </LinearLayout>

    </RelativeLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:gravity="center"
      android:paddingTop="12dp"
      android:paddingBottom="34dp">

      <kr.co.zumo.app.lifeplus.view.custom.SignUpButtonView
        android:id="@+id/button_phone_identify_confirm"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/phone_identify_confirm"
        />
    </LinearLayout>

  </LinearLayout>
</ScrollView>